<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'PressKitAsset',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <div class="press-kit-asset">
    <SlpTypography
      variant="body2"
      tag="p"
      class="press-kit-asset__label slp-mb-8"
      >{{ data.title }}</SlpTypography
    >
    <div class="press-kit-asset__container">
      <div class="press-kit-asset__preview">
        <div></div>
        <a
          class="press-kit-asset__preview-image"
          :href="data.thumbnail"
          :style="`
            background-image: url('${data.thumbnail}');
          `"
          target="_blank"
        ></a>
      </div>
      <div class="press-kit-asset__buttons">
        <div
          v-for="variant in data.variants"
          :key="variant?.name"
          class="press-kit-asset__button"
        >
          <slp-button
            v-if="variant?.src"
            download
            variant="ghost"
            :href="variant.src"
            :data-ga-name="`${data.title} ${variant.name}`"
            data-ga-location="body"
            ><SlpIcon
              icon="gl-download"
              class="press-kit-asset__button-icon"
            /><span>{{ variant.name }}</span></slp-button
          >
        </div>
      </div>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.press-kit-asset {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 0;

  margin: $spacing-64 0 0 0;
  @media (min-width: $breakpoint-md) {
    flex: 1 0 calc(100% / 3);
    padding-left: 50px;
  }
  &__preview {
    height: 180px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  &__preview-image {
    width: 100%;
    height: 100%;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
  }
  &__buttons {
    display: flex;
    border-top: 1px solid #e7e7e7;
  }
  &__button {
    flex: 1 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    &:not(:last-child) {
      border-right: 1px solid #e7e7e7;
    }
    &:deep .slp-btn {
      padding: 14px;
      font-size: 14px;
      color: #333;
      width: 100%;
      display: flex;
      text-align: center;
      justify-content: center;
      span {
        transition: 0.2s cubic-bezier(0, 0, 0, 1);
      }
      &:hover,
      &:focus {
        .press-kit-asset__button-icon {
          opacity: 1;
          transform: translateY(0);
        }
        span {
          opacity: 0;
          transform: translateY(10px);
        }
      }
    }
  }
  &__container {
    border-radius: 3px;
    background: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  }
  &__label {
    color: #aaa;
  }
  &__button-icon {
    position: absolute;
    text-align: center;
    margin-right: 6px;
    opacity: 0;
    transform: translateY(-20px);
    transition: 0.2s cubic-bezier(0, 0, 0, 1);
  }
}
</style>
